#!/usr/bin/env python

from imp import load_source
from os.path import abspath, dirname, join
from setuptools import setup

versionpath = join(abspath(dirname(__file__)), '{project}', '__version__.py')
{project}_version = load_source('{project}_version', versionpath)

setup(
    name='{project}',
    version={project}_version.__version__,
    description='Broytman {project}',
    long_description=open('README.rst', 'rU').read(),
    long_description_content_type="text/x-rst",
    author='Oleg Broytman',
    author_email='phd@phdru.name',
    url='https://phdru.name/Software/Python/{project}',
    download_url='https://phdru.name/Software/Python/{project}',
    project_urls={
        'Homepage': 'https://phdru.name/Software/Python/{project}',
        'Documentation':
            'https://phdru.name/Software/Python/{project}/docs/',
        'Russian docs':
            'https://phdru.name/Software/Python/{project}/docs/ru/',
        'Download': 'https://phdru.name/Software/Python/{project}',
        'Git repo': 'https://git.phdru.name/{project}.git/',
        'Github repo': 'https://github.com/phdru/{project}',
        'Issue tracker': 'https://github.com/phdru/{project}/issues',
    },
    license='GPL',
    keywords=[''],
    platforms='Any',
    classifiers=[
        'Development Status :: 1 - Planning',
        'Environment :: Console',
        'Environment :: Web Environment',
        'Intended Audience :: End Users/Desktop',
        'License :: OSI Approved :: GNU General Public License (GPL)',
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    packages=['{project}'],
    package_data={'{project}': []},
    scripts=[],
    python_requires='>=2.7, !=3.0.*, !=3.1.*, !=3.2.*, !=3.3.*',
    requires=[],
)
